For the complete documentation index, see llms.txt. This page is also available as Markdown.

Remove users from teams in bulk

This endpoint removes multiple users from their respective teams in a single request. Each removal specifies the team ID and user ID. Use the Retrieve bulk team operation status endpoint to check the

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint removes multiple users from their respective teams in a single request. Each removal specifies the team ID and user ID. Use the Retrieve bulk team operation status endpoint to check the status of the operation."

Remove users from teams in bulk

Remove users from teams in bulk

post

This endpoint removes multiple users from their respective teams in a single request. Each removal specifies the team ID and user ID. Use the Retrieve bulk team operation status endpoint to check the status of the operation.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

The bulk remove operation has been submitted. Use BulkTeamStatus to check progress.

application/json
bulkIdstringOptional

Unique identifier for the bulk operation.

messagestringOptional

Success message for the operation.

statusstring · enumOptionalDefault: BULK_OPERATION_SUBMITTEDPossible values:
post/v2/teams/bulk/remove-user
POST /v2/teams/bulk/remove-user HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "removeUsers": [
    {
      "teamId": "team-456",
      "userId": "user-456"
    }
  ]
}
{
  "bulkId": "text",
  "message": "text",
  "status": "BULK_OPERATION_SUBMITTED"
}